% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/av_anova.R
\name{print.summary.avaov}
\alias{print.summary.avaov}
\title{Print Method for summary.avaov Objects}
\usage{
\method{print}{summary.avaov}(
  x,
  digits = max(3L, getOption("digits") - 3L),
  signif.stars = getOption("show.signif.stars"),
  ...
)
}
\arguments{
\item{x}{An object of class \code{summary.avaov}.}

\item{digits}{The number of significant digits to use when printing. Defaults to a value based on options.}

\item{signif.stars}{Logical indicating whether significance stars should be printed.}

\item{...}{Additional arguments passed to or from other methods.}
}
\value{
Invisibly returns the summary object.
}
\description{
This method prints the summary of an \code{avaov} object. It captures the output
from the default printing method, substitutes the header "Pr(>F)" with "p value", and adds
a note indicating that anytime-valid inference is used.
}
