% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/av_lm.R
\name{print.summary.avlm}
\alias{print.summary.avlm}
\title{Print Method for summary.avlm Objects}
\usage{
\method{print}{summary.avlm}(
  x,
  digits = max(3L, getOption("digits") - 3L),
  signif.stars = getOption("show.signif.stars"),
  ...
)
}
\arguments{
\item{x}{An object of class \code{summary.avlm} containing the summary of an anytime-valid lm object.}

\item{digits}{The number of significant digits to use when printing. Defaults based on system options.}

\item{signif.stars}{Logical indicating whether significance stars should be printed.}

\item{...}{Additional arguments passed to or from other methods.}
}
\value{
Invisibly returns the summary object.
}
\description{
Custom print method for \code{summary.avlm} objects that mimics the standard \code{summary.lm} output,
but replaces p-value column headers and includes anytime-valid annotations.
}
